## alternc 0.9.6.2

=== src/Makefile ===
#
# $Id: Makefile,v 1.20 2005/05/21 16:07:32 arnaud-lb Exp $
# ----------------------------------------------------------------------
# AlternC - Web Hosting System
# Copyright (C) 2002 by the AlternC Development Team.
# http://alternc.org/
# ----------------------------------------------------------------------
# Based on:
# Valentin Lacambre's web hosting softwares: http://altern.org/
# ----------------------------------------------------------------------
# LICENSE
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License (GPL)
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# To read the license please visit http://www.gnu.org/copyleft/gpl.html
# ----------------------------------------------------------------------
# Purpose of file: Makefile des binaires de /usr/lib/alternc
# ----------------------------------------------------------------------
#
SETUID=mail_add mail_del quota_edit quota_get mem_add mem_del
SCRIPTS=quota_edit.sh quota_get.sh basedir_prot.sh sqlbackup.sh rawstat.daily quota_init quota_delete update_domains.sh slave_dns sendmail spoolsize.php fixperms.sh
BIN=$(DESTDIR)/usr/lib/alternc/

install: 
	chown root:www-data $(BIN)
	chmod 755 $(BIN)
	install -o root -g www-data -m4750 $(SETUID) du.pl $(BIN)
	install -o root -g www-data -m0750 $(SCRIPTS) $(BIN)

=== bureau/locales/Makefile ===
all: messages.pot */LC_MESSAGES/messages.po */LC_MESSAGES/manual.po


messages.pot: ../*/*.php
	[ -r $@ ] || touch $@
	xgettext --force-po --omit-header -o $@ --keyword=__ --keyword=_  -L PHP --from-code iso-8859-1 -j $^

%/LC_MESSAGES/messages.po: messages.pot
	msgmerge -v -U $@ $^

%/LC_MESSAGES/manual.po: manual.pot
	msgmerge -v -U $@ $^

=== debian/changelog ===
alternc (0.9.6.2) stable; urgency=high

  * repackage 0.9.6.1 properly: include all latest fixes, which didn't make it
    to the package
  * don't put postfix in pre-depends
  * urgency=high because 0.9.6.1 doesn't include all the security fixes it
    pretends

 -- Antoine Beaupré <anarcat@koumbit.org>  Wed, 17 Jan 2007 15:58:39 -0500

alternc (0.9.6.1) stable; urgency=high

  * Emergency release to fix issues with release 0.9.6.
  * Fix a security issue with override_php.conf not being configured in apache, effectively disabling open_basedir restrictions. Closes: #1005
  * Show installation warning only once. Closes: #737
  * Make it possible to erase files and directories in file browser. Closes: #1002.
  * Fix mail accounts creation. Closes: #1003.
  * Fix a race condition in update_domains.sh which could allow users to
    bypass openbasedir protection when creating domains. Reported by 
    Jerome Moinet.

 -- Antoine Beaupré <anarcat@koumbit.org>  Fri, 12 Jan 2007 15:59:42 -0500

alternc (0.9.6) stable; urgency=high

  * Replacing C setuid scripts by perl-suid one. AlternC is now arch-indep !
  * Do not overwrite httpd.conf anymore. Everything is now done through includes in the /etc/apache/conf.d/ directory
  * Fix security issues with file browser and domain management that allowed an attacker to inspect the filesystem, create files in other accounts and perform cross site scripting javascript attacks. Credit: thabob.
  * #563: do not overwrite php.ini anymore. Everything is configured in the
    apache config.
  * All other bugs are postponed to 0.9.7 because of the security issue (hence
    urgency=high). See https://dev.alternc.org/trac/alternc/milestone/0.9.6
    for more information.

 -- Antoine Beaupré <anarcat@koumbit.org>  Mon, 27 Nov 2006 21:26:32 +0000

alternc (0.9.5) stable; urgency=low

  * maintenance release to fix packaging and security bugs
  * see https://dev.alternc.org/trac/alternc/milestone/0.9.5 for milestone
  * changelog at https://dev.alternc.org/trac/alternc/query?status=closed&milestone=0.9.5
  However, this version contains mainly :
  * quota management fixes
  * bind now forbid recursion and domain poisoning
  * now using po-debconf
  * mysql right management now included in the web desktop.
  * .eu tld domain is now allowed.
  * postfix is now using saslauthd with rimap for smtp sasl authentication

 -- Benjamin Sonntag <benjamin@alternc.org>  Thu,  4 May 2006 03:55:30 +0200

alternc (0.9.4) stable; urgency=low

  * maintenance release to fix packaging and security bugs
  * see https://dev.alternc.org/trac/alternc/milestone/0.9.4 for milestone
  * changelog at https://dev.alternc.org/trac/alternc/query?status=closed&milestone=0.9.4
  However, this version contains mainly : 
  * Integration of Globenet patchs (replacement of do_domains.sh by update_domains.sh and others)
  * Changing mysql database creation from uid to login name
  * Major improvements in FHS compliance
  * Major improvements in config file management and debconf idempotency

 -- Benjamin Sonntag <benjamin@alternc.org>  Wed, 29 Mar 2006 19:34:41 +0200

alternc (0.9.3.1) testing; urgency=low

  * maintenance release to fix packaging and security bugs
  * see http://mantis.alternc.org/view.php?id=436 for milestones
  * full changelog at: http://mantis.alternc.org/changelog_page.php
  * Arch: all to have this package available in all architectures
  * take over maintainership
  * release sponsored by Koumbit.net

 -- Antoine Beaupre <anarcat@koumbit.org>  Thu, 19 Jan 2006 20:48:45 +0000

alternc (0.9.3.9-globenet10) stable; urgency=low

  * Fix typo in sqlbackup.sh.
  * Another fix for empty host in update_domains.sh.
  * Fix database name spliting in the bureau.
  * Fix zone reload and php overrides bugs in update_domains.sh.
  * Don't try to generate php override file for IP hosts.
  * Redirect apache reload output to the log file in update_domains.sh.
  * Fix sendmail wrapper behaviour w.r.t. Sender header.
  * Correct Section and Maintainer field for the Debian package.

 -- Lunar <lunar@anargeek.net>  Sat, 15 Oct 2005 02:43:37 +0200

alternc (0.9.3.9-globenet9) unstable; urgency=low

  * Fix deletion of empty host in update_domains.sh.
  * Fix DNS zone serial generation.

 -- Lunar <lunar@anargeek.net>  Thu, 22 Sep 2005 00:26:15 +0200

alternc (0.9.3.9-globenet8) unstable; urgency=low

  * Finally fix empty host handling in update_domains.sh. 

 -- Lunar <lunar@anargeek.net>  Wed, 21 Sep 2005 23:45:06 +0200

alternc (0.9.3.9-globenet7) unstable; urgency=low

  * Fix menulist.txt symlink target.

 -- Lunar <lunar@anargeek.net>  Wed, 21 Sep 2005 21:26:02 +0200

alternc (0.9.3.9-globenet6) unstable; urgency=low

  * Create menulist.txt symbolic link in debian/rules
  * Make menulist.txt migration more likely to happen

 -- Lunar <lunar@anargeek.net>  Wed, 21 Sep 2005 21:08:08 +0200

alternc (0.9.3.9-globenet5) unstable; urgency=low

  * Rewrite sqlbackup.sh, enabling non-local MySQL server
  * allow mysql users connection from the web server (jonathan)
  * Move menulist.txt to /etc/alternc
  * Fix update_domains.sh not working with empty hostnames

 -- Lunar <lunar@anargeek.net>  Wed, 21 Sep 2005 19:57:59 +0200

alternc (0.9.3.9-globenet4) unstable; urgency=low

  * named.template now points to the correct directory..

 -- Lunar <lunar@anargeek.net>  Thu, 15 Sep 2005 00:00:37 +0200

alternc (0.9.3.9-globenet3) unstable; urgency=low

  * Fix mail not sent from PHP scripts
  * Actually exit update_domains.sh when killed
  * Fix templates warning
  * Fix reverse DNS test for BIND_INTERNAL

 -- Lunar <lunar@anargeek.net>  Wed, 14 Sep 2005 23:54:23 +0200

alternc (0.9.3.9-globenet2) unstable; urgency=low

  * Fix alternc.install failling when unable to backup an unecessary file.

 -- Lunar <lunar@anargeek.net>  Tue,  6 Sep 2005 23:18:56 +0200

alternc (0.9.3.9-globenet1) unstable; urgency=low

  * Major overhaul of configuration and install system:


=== debian/control ===
Source: alternc
Section: admin
Priority: optional
Maintainer: Antoine Beaupré <anarcat@koumbit.org>
Uploader: Benjamin Sonntag <benjamin@alternc.org>
Build-Depends-Indep: debhelper (>= 4.0.2), findutils (>= 4.1.7), gcc (>= 2:2.95.4), gettext (>= 0.10.40-5), po-debconf
Standards-Version: 3.7.2.1

Package: alternc
Architecture: all
Depends: debianutils (>= 1.13.1), debconf (>= 0.5.00) | debconf-2.0, libapache-mod-php4 | libapache-mod-php5, apache, apache-ssl, courier-ssl, courier-imap-ssl, courier-pop-ssl, mysql-server, php4-mysql | php5-mysql, phpmyadmin, postfix, proftpd-mysql, squirrelmail, postfix-tls, bind9, wget, rsync, quota, courier-authmysql, ca-certificates, locales, perl-suid, perl, postfix-mysql, wwwconfig-common, sasl2-bin, libsasl2-modules, php4-cli | php5-cli, lockfile-progs (>= 0.1.9), gettext (>= 0.10.40-5), pdksh (>= 5.2.14-6), adduser
Recommends: libapache-mod-gzip
Conflicts: alternc-admintools, alternc-awstats (<= 0.3.2), alternc-webalizer (<= 0.9.4)
Provides: alternc-admintools
Replaces: alternc-admintools
Suggests: alternc-awstats, alternc-mailman, alternc-changepass, pop-before-smtp
Description: hosting software managment suite for Debian
 Hosting software suite based on Valentin Lacambre's altern.org French hosting
 service. It uses Apache, Postfix, Sympa, MySQL and PHP to allow a web-based
 managment of services, such as web hosting, mail hosting, mailing lists,
 virtual hosts, and so on.
 .
 AlternC is mainly a PHP based administration interface and some conf files
 for the softwares used by it. More information at http://www.alternc.org/
 .
 Homepage: http://www.alternc.org/

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess.
#
# This version is for a multibinary package. It also allows you to build any
# of the binary packages independantly, via binary-<package> targets.

# Uncomment this to turn on verbose mode. 
export DH_VERBOSE=1
export VERSION=`head -1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/'`

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# This has to be exported to make some magic below work.
export DH_OPTIONS

build: build-stamp
build-stamp:
	dh_testdir
	/usr/bin/msgfmt po/fr/LC_MESSAGES/alternc-admintools.po -o po/fr/LC_MESSAGES/alternc-admintools.mo
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Install
	cp -r etc/* debian/alternc/etc
	cp -r install/* debian/alternc/usr/share/alternc/install
	cp -r bureau/* debian/alternc/var/alternc/bureau
	(cd src && $(MAKE) install DESTDIR=$(CURDIR)/debian/alternc)

	VERSION=`sed -ne 's/^[^(]*(\([^)]*\)).*/\1/;1p' debian/changelog`
	sed -i -e "s/@@REPLACED_DURING_BUILD@@/${VERSION}/" debian/alternc/var/alternc/bureau/class/local.php

	# Fix permisions
	chmod 755 debian/alternc/etc/alternc
	chmod 644 debian/alternc/etc/alternc/phpmyadmin.inc.php
	chown -R root:www-data debian/alternc/var/alternc/bureau
	chmod -R 644 debian/alternc/var/alternc/bureau
	chmod -R a+X debian/alternc/var/alternc/bureau
	chown -R www-data:www-data debian/alternc/var/alternc/dns
	chown -R www-data:www-data debian/alternc/var/alternc/html
	chown -R www-data:www-data debian/alternc/var/run/alternc
	chown -R www-data:www-data debian/alternc/var/log/alternc

	chmod a+x debian/alternc/usr/share/alternc/install/alternc.install
	chmod a+x debian/alternc/usr/share/alternc/install/dopo.sh
	chmod a+x debian/alternc/usr/share/alternc/install/mysql.sh
	chmod a+x debian/alternc/usr/share/alternc/install/newone.php
	chmod a+x debian/alternc/usr/share/alternc/install/reset_root.php
	chmod a+x debian/alternc/usr/share/alternc/install/upgrade_check.sh
	chmod a+x debian/alternc/usr/share/alternc/install/upgrades/*.php
	chmod a+x debian/alternc/usr/share/alternc/install/upgrades/*.sh
	# Ex old alternc-admintools
	install tools/top_http_users debian/alternc/usr/bin
	install tools/top_mysql_users debian/alternc/usr/bin
	install tools/top_ftp_users debian/alternc/usr/bin
	install tools/get_domains_by_account debian/alternc/usr/bin
	install tools/get_account_by_domain debian/alternc/usr/bin
	install -m 644 po/fr/LC_MESSAGES/alternc-admintools.mo debian/alternc/usr/share/locale/fr/LC_MESSAGES/

	# Remove helpers files from l18n dir
	find debian/alternc/var/alternc/bureau/locales/ \
		-maxdepth 1 -type f -exec rm -f {} \;
	# Remove CVS directories
	/usr/bin/find debian/alternc -depth -type d -name CVS -exec rm {} -rf \;
	/usr/bin/find debian/alternc -depth -type d -name .svn -exec rm {} -rf \;
	cp debian/lintian-override \
		debian/alternc/usr/share/lintian/overrides/alternc

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.

binary-common: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
	dh_installdebconf
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installman man/*
	dh_installcron
#	dh_installinfo
	dh_strip
	dh_link
	dh_compress
#we handle our own perms
#	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol -- -cdebian/control
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install binary-common
# (Uncomment this next line if you have such packages.)
#	 $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install binary-common
#	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
# binary-%: build install
#	make -f debian/rules binary-common DH_OPTIONS=-p$*

# binary: binary-indep binary-arch
# .PHONY: build clean binary-indep binary-arch binary install

binary: binary-common

.PHONY: build clean binary install
